Name:          jext
Version:       3.2
Release:       %mkrel 3
Summary:       Free source code editor written in Java
Group:         Development/Java
License:       GPL
Url:           http://www.jext.org/
Source0:       http://sourceforge.net/projects/jext/files/Release/Jext%203.2pre4/jext-sources-3.2pre4.tar.gz
Source1:       jext-script
Source2:       jext-icon-16.png
Source3:       jext-icon-32.png
Source4:       jext-icon-48.png
Source5:       jext.desktop
Patch0:        jext-3.2_enum.patch
Patch1:        jext-3.2_Writer-hides-append.patch
BuildRequires: aelfred
BuildRequires: ant
BuildRequires: desktop-file-utils
BuildRequires: gnu-regexp
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jython
Requires:      aelfred
Requires:      gnu-regexp
Requires:      java
Requires:      jpackage-utils
Requires:      jython
BuildArch:     noarch

%description
Jext was created to support Java programming language. But nowadays it
can edit many other types of source codes. Among them you'll find C,
C++, C#, ASP, PHP, Python, Perl, Ruby, TeX, XHTML, XSLT, Eiffel, JSP...
Besides it provides advanced features to ease you work. Manage your
projects with the bookmarks tool, categorize your opened files through
workspaces, directly open zipped files, get a file straight from the
Internet, mail your source code, executes system commands within the
internal console, type faster thanks to HyperTyper and to the
customizable code snippets library, add new features with plugins,
discover the advanced editing capabilities, use the internal Python
interpreter... Jext meets all your needs! Developers will also
appreciate the open architecture of Jext. Based on GPLed libraries,
internal Python interpreter and many XML files, improving Jext is an
easy job. You can even write your own plugins (in Python or Java).

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Jext is a powerful programmer's text editor written in Java.

This package contains javadoc for %{name}.

%prep
%setup -q -n jextSrc-%{version}pre4
# remove internal aelfred sources
rm -rf src/lib/com
# remove internal gnu.regexp sources
rm -rf src/lib/gnu
%patch0
%patch1

%build
pushd src
  export CLASSPATH=$(build-classpath aelfred gnu-regexp jython)
  perl -p -i -e 's|compress="no"|compress="yes"|g' build.xml
  perl -p -i -e 's|^Class-Path:||g' %{name}.manifest
  ant -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 jar javadocs
popd
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 lib/jext.jar \
  %{buildroot}%{_javadir}/jext-%{version}.jar
install -m 644 lib/dawn.jar \
  %{buildroot}%{_javadir}/jext-dawn-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jext-%{version}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/jext-%{version}
ln -sf jext-%{version} %{buildroot}%{_javadocdir}/jext

mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/jext
install -pm 755 %{SOURCE1} %{buildroot}%{_bindir}/jext

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
install -pm 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/jext.png
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install -pm 644 %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/jext.png
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -pm 644 %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/jext.png
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -sf ../icons/hicolor/32x32/apps/jext.png %{buildroot}%{_datadir}/pixmaps/jext.png

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install %{SOURCE5} --mode=644 --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/jext.desktop

%files
%{_javadir}/jext-%{version}.jar
%{_javadir}/jext.jar
%{_javadir}/jext-dawn-%{version}.jar
%{_javadir}/jext-dawn.jar
%attr(0755,root,root) %{_bindir}/jext
%{_datadir}/applications/jext.desktop
%{_datadir}/icons/hicolor/*x*/apps/jext.png
%{_datadir}/pixmaps/jext.png
%dir %{_datadir}/jext
%doc LICENSE SOURCES

%files javadoc
%{_javadocdir}/jext-%{version}
%{_javadocdir}/jext



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.2-3.mga4
+ Revision: 506387
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.2-2.mga3
+ Revision: 355359
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 06 2011 dmorgan <dmorgan> 3.2-1.mga2
+ Revision: 138977
- Adapt to mageia guidelines

  + gil <gil>
    - imported package jext


* Fri Jul 01 2011 gil <gil> 3.2-0.%%mkrel
- initial rpm